<?php
session_start();
ob_start();
$_SESSION['db'] = 'sidchxis_erp_rizwan';
$db = $_SESSION['db'];
$_SESSION['db_un'] = 'sidchxis_skyztec';
$_SESSION['db_pwd'] = "SkyzTec_321000.";

if (isset($db)) {

    //Include the database connection file
    include("include/dbconnect.php");
    include("include/functions.php");
    require_once("geoplugin/geoplugin.class.php");
    $geoplugin = new geoPlugin();

    $geoplugin->locate();
    //error_reporting(0);

    $error = "";
    //Check to see if the submit button has been clicked to process data
    if (isset($_POST['submitted']) && $_POST['submitted'] == "yes") {
        //variables Assignments
        $comp_id = clean_data($_POST['comp_id']);
        $year_id = clean_data($_POST['year_id']);
        $user_name = clean_data($_POST['username']);
        $user_password = clean_data($_POST['user_password']);


        //query
        try {
            $validate_user_information = "SELECT
	u.emp_id,
	u.password,
	u.emp_name,
	c.comp_name,
	c.comp_id,
	c.phone,
	c.add_line1,
	c.outlet_percentage,
	c.short_name,
	c.outlet_margin
	
FROM
	users u
LEFT JOIN users_comp uc ON u.emp_id = uc.emp_id
LEFT JOIN company c ON c.comp_id = uc.comp_id

WHERE c.comp_id = ? AND u.emp_id = ? AND u.password = ? AND u.inactive <> 'Y' AND uc.inactive <> 'Y'";
            $q = $dbcon->prepare($validate_user_information);
            $q->execute(array($comp_id, $user_name, $user_password));
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }


        //Validate against empty fields
        if ($comp_id == "" || $year_id == "" || $user_name == "" || $user_password == "") {
            $error = '<br><div class="info">Sorry, all fields are required to log into your account. Thanks.</div><br>';
        } elseif ($q->rowCount() == 1) //Check if the information of the user are valid or not
        {
            //The submitted info of the user are valid therefore, grant the user access to the system by creating a valid session for this user and redirect this user to the welcome page

            $get_user_information = $q->fetch(PDO::FETCH_OBJ);
            $_SESSION["VALID_USER_ID"] = $get_user_information->emp_id;
            $_SESSION["COMP_NAME"] = clean_data($get_user_information->comp_name);
            $_SESSION["VALID_USER_NAME"] = strtolower($user_name);
            $_SESSION["comp_id"] = clean_data($get_user_information->comp_id);
            $_SESSION["year_id"] = $year_id;
            $_SESSION["phone"] = strip_tags($get_user_information->phone);
            $_SESSION["address"] = strip_tags($get_user_information->add_line1);
            $_SESSION["outlet_p"] = strip_tags($get_user_information->outlet_percentage);
            $_SESSION["short_name"] = strip_tags($get_user_information->short_name);
            $_SESSION["outlet_margin"] = strip_tags($get_user_information->outlet_margin);
            $_SESSION["un"] = $un;
            $_SESSION["qty_decimals"] = find_value('v_system', 'qty_decimals', '');
            $_SESSION["rate_decimals"] = find_value('v_system', 'rate_decimals', '');
            $_SESSION["amt_decimals"] = 0;

            $_SESSION['last_login_timestamp'] = time();

            $_SESSION['expire'] = $_SESSION['last_login_timestamp'] + (1 + 60);




            /*********************START USERS LOG****************/
            $login_in_date = date( 'd-m-Y h:i:s A', time () );
            $countryName = $geoplugin->countryName;
            $country_code = $geoplugin->countryCode;
            $currencyCode = $geoplugin->currencyCode;
            $currencySymbol = $geoplugin->currencySymbol;
            $timeZone = $geoplugin->timezone;
            $uip =  $geoplugin->ip;
            $user_browser = $_SERVER['HTTP_USER_AGENT'];
            $comp_id = $_SESSION["comp_id"];

            try {
                $s_query = "INSERT INTO users_log (uid,username,userip, loginTime, country_name, country_code, 
                       currency_code, currency_symbol, time_zone, user_browser )
                VALUES ('" . $_SESSION['VALID_USER_ID'] . "','" . $_SESSION['VALID_USER_NAME'] . "','$uip', '$login_in_date', '$countryName', 
                '$country_code', '$currencyCode', '$currencySymbol', '$timeZone', '$user_browser')";
                $results = $dbcon->prepare($s_query);
                $results->execute(array());
            } catch (PDOException $e) {
                echo "Error : " . $e->getMessage();
            }
            /*********************END USERS LOG****************/











            header("location: index");
        } else {
            //The submitted info the user are invalid therefore, display an error message on the screen to the user
            $error = '<br><div class="info">*Sorry, you have provided incorrect information. Please enter correct user information to proceed. Thanks.</div><br>';
        }
    }
}

?>



<!DOCTYPE html>
<html lang="en">


<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title><?php echo $row->acct_name; ?></title>
    <!-- General CSS Files -->
    <link rel="stylesheet" href="assets/css/app.min.css">
    <link rel="stylesheet" href="assets/bundles/bootstrap-social/bootstrap-social.css">
    <!-- Template CSS -->
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/components.css">
    <!-- Custom style CSS -->
    <link rel="stylesheet" href="assets/css/custom.css">
    <link rel='shortcut icon' type='image/x-icon' href='assets/img/favicon.ico' />
</head>

<body>

<div id="app">
    <section class="section">
        <div class="container mt-5">
            <div class="row">
                <div class="col-12 col-sm-8 offset-sm-2 col-md-6 offset-md-3 col-lg-6 offset-lg-3 col-xl-4 offset-xl-4">
                    <div class="card card-primary">
                        <div class="card-header">
                            <h4> <?php  echo $row->acct_name; ?></h4>
                        </div>
                        <div class="card-body">



                            <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" class="needs-validation" novalidate="">




                                <!----------START COMPANY LOAD FROM DATABASE------------->
                                <div class="form-group">
                                    <label for="email">Company</label>
                                    <select class="form-control" name="comp_id" id="comp_id">

                                        <?php
                                        try {
                                            $comp_sql = "SELECT c.comp_id, c.comp_name FROM company c WHERE c.production = 'Y' ORDER BY c.comp_id ASC";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        } catch (PDOException $e) {
                                            echo "Error : " . $e->getMessage();
                                        }

                                        while ($comp_row = $q->fetch(PDO::FETCH_OBJ)) {
                                            echo '<option value="' . $comp_row->comp_id . '">' . $comp_row->comp_name . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <!----------END COMPANY LOAD FROM DATABASE------------->

                                <!----------START YEAR LOAD FROM DATABASE------------->
                                <!--<div class="form-group">

                                    <input type="hidden" name="year_id" id="year_id" value="<?php /*echo date('y');*/?>">
                                </div>-->
                                <!----------END YEAR LOAD FROM DATABASE------------->


                                <!----------START YEAR LOAD FROM DATABASE------------->
                                <div class="form-group">
                                    <label for="email">Year</label>
                                    <select class="form-control" name="year_id" id="year_id">

                                        <?php
                                        try {
                                            $comp_sql = "SELECT f.year_id,f.year_name FROM fin_years f ORDER BY f.year_id DESC";
                                            $q = $dbcon->prepare($comp_sql);
                                            $q->execute();
                                        } catch (PDOException $e) {
                                            echo "Error : " . $e->getMessage();
                                        }

                                        while ($comp_row = $q->fetch(PDO::FETCH_OBJ)) {
                                            echo '<option value="' . $comp_row->year_id . '">' . $comp_row->year_name . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <!----------END YEAR LOAD FROM DATABASE------------->

                                <div class="form-group">
                                    <label for="username">Username</label>
                                    <input name="username" id="username" type="text" class="form-control" tabindex="1" required autofocus>
                                    <div class="invalid-feedback">
                                        Please fill in your Username
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="d-block">
                                        <label for="password" class="control-label">Password</label>

                                    </div>
                                    <input name="user_password" id="user_password" type="password" class="form-control" tabindex="2" required>
                                    <div class="invalid-feedback">
                                        please fill in your password
                                    </div>
                                </div>

                                <div class="form-group">
                                    <input type="hidden" name="submitted" id="submitted" value="yes">
                                    <button type="submit" class="btn btn-primary btn-lg btn-block" tabindex="3">
                                        Login
                                    </button>
                                </div>
                                <!-- SHOW ERROR -->
                                <div style="color:#FF2327; font-weight:bold;"><?php echo $error; ?></div>
                            </form>

                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>
<!-- General JS Scripts -->
<script src="assets/js/app.min.js"></script>
<!-- JS Libraies -->
<!-- Page Specific JS File -->
<!-- Template JS File -->
<script src="assets/js/scripts.js"></script>
<!-- Custom JS File -->
<script src="assets/js/custom.js"></script>
</body>


</html>