<?php
session_start();
include("../include/dbconnect.php");
include("../include/functions.php");


/***************** START ADD NEW CATEGORY*********************/
if ($_POST['action'] == "add_cat") {


    $cat_id = clean_data($_POST['cat_id']);
    $cat_name = clean_data($_POST['cat_name']);


    try {
        $s_query = "INSERT INTO code_cat (cat_id, description)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    echo $s_query;


}
/***************** END ADD NEW CATEGORY*********************/



/***************** START ADD NEW ITEM DESCRIPTION*********************/
if ($_POST['action'] == "add_desc") {
    $desc = clean_data($_POST['desc']);


    try {
        $s_query = "INSERT INTO item_description (description)VALUES (?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($desc));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


}
/***************** END ADD NEW ITEM DESCRIPTION*********************/



/***************** START ADD NEW COLLECTION*********************/
if ($_POST['action'] == "add_col") {
    $col_id = clean_data($_POST['col_id']);
    $col_name = clean_data($_POST['col_name']);


    try {
        $s_query = "INSERT INTO code_collection (col_id, description)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($col_id, $col_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


}
/***************** END ADD NEW COLLECTION*********************/



/***************** START ADD NEW NEWS*********************/
if ($_POST['action'] == "add_news") {
    $post_date = clean_data($_POST['post_date']);
    $exp_date = clean_data($_POST['exp_date']);
    $news = clean_data($_POST['news']);
    $comp_id = clean_data($_POST['comp_id']);



    try {
        $s_query = "INSERT INTO announcement (announcement, post_date, expiry_date, comp_id)VALUES (?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($news, $post_date, $exp_date, $comp_id ));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


}
/***************** END ADD NEW NEWS*********************/


/***************** START EDIT NEWS*********************/
if ($_POST['action'] == "edit_news") {
    $post_date = clean_data($_POST['post_date']);
    $exp_date = clean_data($_POST['exp_date']);
    $news = clean_data($_POST['news']);
    $hd_id = clean_data($_POST['hd_id']);


    try {

        $s_query = "UPDATE announcement SET announcement = ?, post_date = ?, expiry_date = ? 
			WHERE  id = ?";

        $results = $dbcon->prepare($s_query);
        $results->execute(array($news, $post_date, $exp_date, $hd_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


}
/***************** END EDIT NEWS*********************/












?>